/{organizationId}/{mandateId}/finance/cash/sepaDirectDebits/sepaXmlFileCreate sepa direct debit xml file
Creates the sepa xml file for a specific sepa direct debit for a given mandate and marks it as submitted
Required permissions:
mandate.read
sepaDirectDebit.edit
Path Parameters
organizationIdstringrequired mandateIdstringrequired Request Body required
Content-Type: application/json
sepaDirectDebitIdstringrequired sepaDirectDebitVersionstringrequired Options:
pain.008.001.02pain.008.001.08Authentication: X-API-Key
Request
curl --request POST 'https://cloud.campai.com/api/{organizationId}/{mandateId}/finance/cash/sepaDirectDebits/sepaXmlFile' \
--header 'X-API-Key: YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"sepaDirectDebitId": "string",
"sepaDirectDebitVersion": "pain.008.001.02"
}'Responses
This endpoint returns different response codes based on the request outcome.
200Successful response
Content-Type: application/json
fileNamestringrequired sepaXmlstringrequired executeAtstringrequired Response
{
"fileName": "string",
"sepaXml": "string",
"executeAt": "string"
}400Invalid input data
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}401Authorization not provided
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}403Insufficient access
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}500Internal server error
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}